Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Geo-location health

Access comprehensive health data, and wellness information through a single API.


API Endpoint 

GET https://geolocation.divineapi.com/health

Guide: If you only need English, use this endpoint.


200: OK 

{
    "status": "success",
    "code": 200,
    "message": "Service is healthy",
    "data": {
        "service": "location-api",
        "status": "ok"
    }
}

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://geolocation.divineapi.com/health'
curl -X GET "https://geolocation.divineapi.com/health"
const axios = require('axios');

const response = await axios.get('https://geolocation.divineapi.com/health');

console.log(response.data);
import requests

url = "https://geolocation.divineapi.com/health"

response = requests.get(url)

print(response.json())
const response = await fetch(
  'https://geolocation.divineapi.com/health',
  {
    method: 'GET',
  }
);

const data = await response.json();
console.log(data);
<?php

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('GET', 'https://geolocation.divineapi.com/health', [
]);

echo $response->getBody();
package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {
    req, _ := http.NewRequest("GET", "https://geolocation.divineapi.com/health", nil)

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body2, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body2))
}
import okhttp3.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        RequestBody body = null;

        Request request = new Request.Builder()
            .url("https://geolocation.divineapi.com/health")
            .get()
            .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
import Foundation

let url = URL(string: "https://geolocation.divineapi.com/health")!
var request = URLRequest(url: url)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data {
        print(String(data: data, encoding: .utf8) ?? "")
    }
}
task.resume()
import okhttp3.*

fun main() {
    val client = OkHttpClient()

    val body: RequestBody? = null

    val request = Request.Builder()
        .url("https://geolocation.divineapi.com/health")
        .get()
        .build()

    client.newCall(request).execute().use { response ->
        println(response.body?.string())
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program {
    static async Task Main() {
        using var client = new HttpClient();

        var response = await client.GetAsync("https://geolocation.divineapi.com/health");
        var result = await response.Content.ReadAsStringAsync();
        Console.WriteLine(result);
    }
}
Response 200
{
    "status": "success",
    "code": 200,
    "message": "Service is healthy",
    "data": {
        "service": "location-api",
        "status": "ok"
    }
}